# coding=utf-8
from utils.custom_modelviewset import CustomModelViewSet
from utils.permission import IsAdministratorUser,IsTenantUser
from utils.exceptions import CustomError
from utils import response_ok, response_error
from .models import Agent,Store
from .serializers import AgentSerializer,StoreSerializer


class AgentViewSet(CustomModelViewSet):
    permission_classes = []
    queryset = Agent.objects.filter()
    serializer_class = AgentSerializer


class StoreViewSet(CustomModelViewSet):
    permission_classes = []
    queryset = Store.objects.filter()
    serializer_class = StoreSerializer